List flows
/v1/apppilot/flows
Authorization: HTTP
Query
| Name | Type | Description |
|---|---|---|
page
|
integer | |
per_page
|
integer | |
trigger_type
|
string | |
active
|
string | Filter active flows (`0`/`1`/`true`/`false`) |
Request body
None
Response
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "string",
"description": "string",
"category": "string",
"trigger_type": "string",
"trigger_key": "string",
"active": false,
"step_count": 0,
"created_at": "2026-07-01T12:00:00+00:00",
"updated_at": "2026-07-01T12:00:00+00:00"
}
],
"meta": {
"page": 0,
"per_page": 0,
"total": 0,
"pages": 0
}
}
Examples
curl -X GET "https://api.appficient.nl/v1/apppilot/flows" \
-H "Authorization: Bearer apf_xxxxxxxx" \
-H "Accept: application/json"
import requests
url = 'https://api.appficient.nl/v1/apppilot/flows'
headers = {
'Authorization': 'Bearer apf_xxxxxxxx',
'Accept': 'application/json',
}
response = requests.get(url, headers=headers)
data = response.json()
const url = 'https://api.appficient.nl/v1/apppilot/flows';
const options = {
method: 'GET',
headers: {
Authorization: 'Bearer apf_xxxxxxxx',
Accept: 'application/json',
},
};
const res = await fetch(url, options);
const json = await res.json();
<?php
$url = 'https://api.appficient.nl/v1/apppilot/flows';
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer apf_xxxxxxxx',
'Accept: application/json',
],
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
$json = json_decode($response, true);
postman request GET 'https://api.appficient.nl/v1/apppilot/flows' \
--header 'Authorization: Bearer apf_xxxxxxxx' \
--header 'Accept: application/json'
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Authorization =
new AuthenticationHeaderValue("Bearer", "apf_xxxxxxxx");
client.DefaultRequestHeaders.Accept.Add(
new MediaTypeWithQualityHeaderValue("application/json"));
using var request = new HttpRequestMessage(
HttpMethod.Get,
"https://api.appficient.nl/v1/apppilot/flows");
var response = await client.SendAsync(request);
var json = await response.Content.ReadAsStringAsync();
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest.Builder builder = HttpRequest.newBuilder()
.uri(URI.create("https://api.appficient.nl/v1/apppilot/flows"))
.header("Accept", "application/json")
.header("Authorization", "Bearer apf_xxxxxxxx");
HttpRequest request = builder.GET().build();
HttpResponse<String> response = client.send(
request, HttpResponse.BodyHandlers.ofString());
String json = response.body();
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("GET", "https://api.appficient.nl/v1/apppilot/flows", nil)
if err != nil {
panic(err)
}
req.Header.Set("Accept", "application/json")
req.Header.Set("Authorization", "Bearer apf_xxxxxxxx")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(data))
}
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.appficient.nl/v1/apppilot/flows')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Accept'] = 'application/json'
req['Authorization'] = 'Bearer apf_xxxxxxxx'
res = http.request(req)
data = JSON.parse(res.body)
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "string",
"description": "string",
"category": "string",
"trigger_type": "string",
"trigger_key": "string",
"active": false,
"step_count": 0,
"created_at": "2026-07-01T12:00:00+00:00",
"updated_at": "2026-07-01T12:00:00+00:00"
}
],
"meta": {
"page": 0,
"per_page": 0,
"total": 0,
"pages": 0
}
}
Curl, Node and response are shown to the right of this endpoint.